
# David - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC
# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true

%if %buildfor10_1
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdeedu
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define use_enable_final 1

Name:		kdeedu
Summary:	K Desktop Environment - Toys and Amusements
Version:    3.2.3
Release:    7mdk
Epoch:		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2


Patch3:		kdelibs-3.2-remove-rpath.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL



%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext
BuildRequires:	kdelibs-devel >= 3.2-13mdk libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:	libintl1 libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:	libqt3-devel libstdc++ libtermcap2 m4
BuildRequires:	mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor9_0 || %buildfor9_1 
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext
BuildRequires:  kdelibs-devel >= 3.2-13mdk libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:  libintl2 libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:  libqt3-devel libstdc++ libtermcap2 m4
BuildRequires:  mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%if %mdkversion >= 920
BuildRequires:  XFree86-devel  
BuildRequires:  freetype2-devel 
BuildRequires:  kdelibs-devel >= 3.2-13mdk libMesaGLU-devel bzip2-devel
BuildRequires:  jpeg-devel lcms-devel mng-devel png-devel
BuildRequires:  qt3-devel zlib-devel
%endif

Obsoletes:	kdeedu3
Provides:	kdeedu3

Obsoletes:	kstars, ktouch, keduca
Provides:	kstars, ktouch, keduca

Requires:	%lib_name = %epoch:%version-%release

# createmdkmenu
BuildRequires:  kdelibs-common >= 3.1.93-5mdk

BuildConflicts:	libboost-devel

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %mdkversion >= 920
BuildRequires: automake1.7
%endif

BuildRequires:	autoconf2.5


Conflicts:  kdeedu <= 3.2-9mdk

%description
This package provides:
  - KStars: a desktop planetarium for Linux/KDE
  - Kalzium: displays the Periodic Table of Elements. Included are a quizz, a
             Timeline, different color schemes and more...
  - KHangMan: the classical hangman game
  - KMessedWords: the letters are all scrambled, try to find the right word!
  - FlashKard: a vocabulary studying tool for learning languages or termninology
  - Kiten: a japanese reference/learning tool
  - KGeo: program for interactive Geometry just like programs such as Euklid,
          Zirkel und Lineal or Kseg
  - KmPlot: a mathematical function plotter
  - KPercentage: test your ability to answer percentage-related questions!
  - KTouch: learn touch-typing with this very efficient program
  - KEduca: helps the pupils revise their lessons


%package -n %lib_name-devel
Summary:    Header files for kdeedu
Group:      Development/KDE and Qt
Requires:   %lib_name = %epoch:%version-%release
Obsoletes:  kdeedu-devel
Provides:	kdeedu-devel = %epoch:%version-%release
Conflicts:	%lib_name-devel <= 3.2-9mdk

%description -n %lib_name-devel
Headers files for kdeedu.

%package -n %lib_name
Summary:    Header files for kdeedu
Group:      Graphical desktop/KDE
Conflicts:  %lib_name <= 3.2-9mdk

%description -n %lib_name
Headers files for kdeedu.



%prep

%setup -q
%patch3 -p1 -b .fix_remove_rpath

%build
make -f admin/Makefile.common cvs
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//' | sed -e 's/-ffast-math//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        %configure  --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
                    --disable-static \
%if %use_enable_final
                    --enable-final \
%else
                    --disable-final \
%endif					
                    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama


%make



%install
rm -fr %buildroot

# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif
export PATH=%_bindir:$PATH

make DESTDIR=%buildroot install

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kdeedu Applications/Education/Languages %buildroot/%_datadir/applications/kde/khangman.desktop %buildroot/%_menudir/kdeedu-khangman
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Languages %buildroot/%_datadir/applications/kde/kiten.desktop %buildroot/%_menudir/kdeedu-kiten 
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Languages %buildroot/%_datadir/applications/kde/klettres.desktop %buildroot/%_menudir/kdeedu-klettres 
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Languages %buildroot/%_datadir/applications/kde/kmessedwords.desktop %buildroot/%_menudir/kdeedu-kmessedwords kde
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Languages %buildroot/%_datadir/applications/kde/kverbos.desktop %buildroot/%_menudir/kdeedu-kverbos 
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Languages %buildroot/%_datadir/applications/kde/kvoctrain.desktop %buildroot/%_menudir/kdeedu-kvoctrain 
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Sciences %buildroot/%_datadir/applications/kde/kmplot.desktop %buildroot/%_menudir/kdeedu-kmplot
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Sciences %buildroot/%_datadir/applications/kde/kig.desktop %buildroot/%_menudir/kdeedu-kig
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Sciences %buildroot/%_datadir/applications/kde/kpercentage.desktop %buildroot/%_menudir/kdeedu-kpercentage
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Other %buildroot/%_datadir/applications/kde/flashkard.desktop %buildroot/%_menudir/kdeedu-flashcard
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Other %buildroot/%_datadir/applications/kde/ktouch.desktop %buildroot/%_menudir/kdeedu-ktouch

kdedesktop2mdkmenu.pl kdeedu Applications/Education/Sciences %buildroot/%_datadir/applications/kde/kstars.desktop %buildroot/%_menudir/kdeedu-kstars
perl -pi -e "s|kstars.png|education_sciences.png|" %buildroot/%_menudir/kdeedu-kstars

kdedesktop2mdkmenu.pl kdeedu Applications/Education/Sciences %buildroot/%_datadir/applications/kde/kalzium.desktop %buildroot/%_menudir/kdeedu-kalzium
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Other %buildroot/%_datadir/applications/kde/keduca.desktop %buildroot/%_menudir/kdeedu-keduca 
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Other %buildroot/%_datadir/applications/kde/keducabuilder.desktop %buildroot/%_menudir/kdeedu-keducabuilder 
kdedesktop2mdkmenu.pl kdeedu Applications/Education/Sciences %buildroot/%_datadir/applications/kde/kbruch.desktop %buildroot/%_menudir/kdeedu-kbruch


createmdkmenu.sh %buildroot/%_datadir/applications/kde/flashkard.desktop  Miscellanous-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kalzium.desktop  Science-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbruch.desktop Mathematics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/keducabuilder.desktop Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/keduca.desktop  Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/khangman.desktop  Languages-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kig.desktop Mathematics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kiten.desktop  Languages-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/klettres.desktop  Languages-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kmessedwords.desktop  Languages-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kmplot.desktop  Mathematics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kpercentage.desktop  Mathematics-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kstars.desktop  Applications-sciences-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ktouch.desktop  Miscellanous-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kverbos.desktop  Languages-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kvoctrain.desktop  Languages-mdk 

%post
/sbin/ldconfig              
%update_menus

%postun                                                                         
/sbin/ldconfig
%clean_menus

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
#
%_menudir/*



%_datadir/config.kcfg/klettres.kcfg

%dir %_datadir/applnk/Edutainment/
%dir %_datadir/applnk/Edutainment/Languages/
%_datadir/applnk/Edutainment/Languages/.directory

%dir %_datadir/applnk/Edutainment/Mathematics/
%_datadir/applnk/Edutainment/Mathematics/.directory

%dir %_datadir/applnk/Edutainment/Miscellaneous/
%_datadir/applnk/Edutainment/Miscellaneous/.directory

%dir %_datadir/applnk/Edutainment/Science/
%_datadir/applnk/Edutainment/Science/.directory

%dir %_datadir/applnk/Edutainment/Tools/
%_datadir/applnk/Edutainment/Tools/.directory
#
%dir %_datadir/apps/

%dir %_datadir/apps/kigpart/
%_datadir/apps/kigpart/*.rc


%dir %_datadir/apps/kig/
%_datadir/apps/kig/*.rc

%dir %_datadir/apps/kig/builtin-macros/
%_datadir/apps/kig/builtin-macros/*


%dir %_datadir/apps/kig/toolbar/
%_datadir/apps/kig/toolbar/*.png

%_datadir/services/*.desktop

%dir %_datadir/apps/kbruch/
%_datadir/apps/kbruch/*.rc



%dir %_datadir/apps/keduca/
%_datadir/apps/keduca/*.rc


%dir %_datadir/apps/keduca/pics/
%_datadir/apps/keduca/pics/*.png
%dir %_datadir/apps/keduca/icons/

%dir %_datadir/apps/keduca/icons/crystalsvg/
%dir %_datadir/apps/keduca/icons/crystalsvg/16x16/
%dir %_datadir/apps/keduca/icons/crystalsvg/16x16/actions/
%_datadir/apps/keduca/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/keduca/icons/crystalsvg/22x22/
%dir %_datadir/apps/keduca/icons/crystalsvg/22x22/actions/
%_datadir/apps/keduca/icons/crystalsvg/22x22/actions/*.png



%dir %_datadir/apps/klettres/
%_datadir/apps/klettres/*.rc
%dir %_datadir/apps/klettres/pics/
%_datadir/apps/klettres/pics/*.png
%_datadir/apps/klettres/pics/*.jpeg

%dir %_datadir/apps/klettres/data/
%_datadir/apps/klettres/data/*.xml

%dir %_datadir/apps/klettres/sk/
%dir %_datadir/apps/klettres/sk/syllab/
%_datadir/apps/klettres/sk/syllab/*.ogg

%dir %_datadir/apps/klettres/sk/alpha/
%_datadir/apps/klettres/sk/alpha/*.ogg

%dir %_datadir/apps/klettres/nl/
%dir %_datadir/apps/klettres/nl/syllab/
%_datadir/apps/klettres/nl/syllab/*.mp3

%dir %_datadir/apps/klettres/nl/alpha/
%_datadir/apps/klettres/nl/alpha/*.mp3

%dir %_datadir/apps/klettres/fr/
%dir %_datadir/apps/klettres/fr/syllab/
%_datadir/apps/klettres/fr/syllab/*.mp3

%dir %_datadir/apps/klettres/fr/alpha/
%_datadir/apps/klettres/fr/alpha/*.mp3

%dir %_datadir/apps/klettres/da/
%dir %_datadir/apps/klettres/da/syllab/
%_datadir/apps/klettres/da/syllab/*.mp3

%dir %_datadir/apps/klettres/da/alpha/
%_datadir/apps/klettres/da/alpha/*.ogg

%dir %_datadir/apps/klettres/cs/
%dir %_datadir/apps/klettres/cs/syllab/
%_datadir/apps/klettres/cs/syllab/*.ogg

%dir %_datadir/apps/klettres/cs/alpha/
%_datadir/apps/klettres/cs/alpha/*.ogg


%dir %_datadir/apps/kalzium
%_datadir/apps/kalzium/*rc
%_datadir/apps/kalzium/kmolweights

%dir %_datadir/apps/kalzium/pics/
%_datadir/apps/kalzium/pics/*.png

%dir %_datadir/apps/flashkard
%_datadir/apps/flashkard/*.rc
%dir %_datadir/apps/flashkard/icons/

%dir %_datadir/apps/flashkard/icons/crystalsvg
%dir %_datadir/apps/flashkard/icons/crystalsvg/16x16/
%dir %_datadir/apps/flashkard/icons/crystalsvg/16x16/actions/
%_datadir/apps/flashkard/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/flashkard/icons/crystalsvg/22x22
%dir %_datadir/apps/flashkard/icons/crystalsvg/22x22/actions/
%_datadir/apps/flashkard/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/flashkard/icons/crystalsvg/32x32
%dir %_datadir/apps/flashkard/icons/crystalsvg/32x32/actions/
%_datadir/apps/flashkard/icons/crystalsvg/32x32/actions/*.png



%dir %_datadir/apps/khangman/
%_datadir/apps/khangman/*.rc

%dir %_datadir/apps/khangman/data/

%dir %_datadir/apps/khangman/data/ca/
%_datadir/apps/khangman/data/ca/*.txt

%dir %_datadir/apps/khangman/data/cs/
%_datadir/apps/khangman/data/cs/*.txt

%dir %_datadir/apps/khangman/data/da/
%_datadir/apps/khangman/data/da/*.txt

%dir %_datadir/apps/khangman/data/en/
%_datadir/apps/khangman/data/en/*.txt

%dir %_datadir/apps/khangman/data/es/
%_datadir/apps/khangman/data/es/*.txt

%dir %_datadir/apps/khangman/data/fi/
%_datadir/apps/khangman/data/fi/*.txt

%dir %_datadir/apps/khangman/data/de/
%_datadir/apps/khangman/data/de/*.txt

%dir %_datadir/apps/khangman/data/it/
%_datadir/apps/khangman/data/it/*.txt


%dir %_datadir/apps/khangman/data/fr/
%_datadir/apps/khangman/data/fr/*.txt

%dir %_datadir/apps/khangman/data/nl/
%_datadir/apps/khangman/data/nl/*.txt

%dir %_datadir/apps/khangman/data/pt/
%_datadir/apps/khangman/data/pt/*.txt

%dir %_datadir/apps/khangman/data/pt_BR/
%_datadir/apps/khangman/data/pt_BR/*.txt


%dir %_datadir/apps/khangman/data/sv/
%_datadir/apps/khangman/data/sv/*.txt



%dir %_datadir/apps/khangman/pics/
%_datadir/apps/khangman/pics/*.png

%dir %_datadir/apps/khangman/sounds/
%_datadir/apps/khangman/sounds/*.ogg


%dir %_datadir/apps/kiten/
%_datadir/apps/kiten/*


%dir %_datadir/apps/kalzium/elempics/
%_datadir/apps/kalzium/elempics/*.jpg


%dir %_datadir/apps/kmplot/
%_datadir/apps/kmplot/*.rc


%dir %_datadir/apps/kmplot/toolbar/
%_datadir/apps/kmplot/toolbar/*.png


%dir %_datadir/apps/kpercentage/
%_datadir/apps/kpercentage/*.txt
%dir %_datadir/apps/kpercentage/pics/
%_datadir/apps/kpercentage/pics/*.png

%dir %_datadir/apps/kpercentage/story/
%_datadir/apps/kpercentage/story/*.story

%dir %_datadir/apps/kpercentage/icons/
%dir %_datadir/apps/kpercentage/icons/locolor/
%dir %_datadir/apps/kpercentage/icons/locolor/32x32
%dir %_datadir/apps/kpercentage/icons/locolor/32x32/actions/
%_datadir/apps/kpercentage/icons/locolor/32x32/actions/*.png

%dir %_datadir/apps/kpercentage/icons/crystalsvg/
%dir %_datadir/apps/kpercentage/icons/crystalsvg/32x32
%dir %_datadir/apps/kpercentage/icons/crystalsvg/32x32/actions/
%_datadir/apps/kpercentage/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kverbos/
%_datadir/apps/kverbos/*.rc

%dir %_datadir/apps/kverbos/pics/
%_datadir/apps/kverbos/pics/*.png

%dir %_datadir/apps/kmessedwords/
%_datadir/apps/kmessedwords/*.png
%_datadir/apps/kmessedwords/*.txt

%dir %_datadir/apps/kmessedwords/themes/
%dir %_datadir/apps/kmessedwords/themes/default/
%_datadir/apps/kmessedwords/themes/default/*.png
%dir %_datadir/apps/kmessedwords/themes/bubbly_crystal/
%_datadir/apps/kmessedwords/themes/bubbly_crystal/*.png

%dir %_datadir/apps/kstars/
%_datadir/apps/kstars/*

%dir %_datadir/apps/ktouch/
%_datadir/apps/ktouch/*

%dir %_datadir/apps/kvoctrain/
%_datadir/apps/kvoctrain/*.png
%_datadir/apps/kvoctrain/*.xpm

%dir %_datadir/apps/kvoctrain/examples/
%_datadir/apps/kvoctrain/examples/*.kvtml



%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png



%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png

%dir %_iconsdir/crystalsvg/22x22/apps/
%_iconsdir/crystalsvg/22x22/apps/*.png


%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png

%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png
%dir %_iconsdir/hicolor/


%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png


%dir %_iconsdir/locolor/

%dir %_iconsdir/locolor/16x16/actions/
%_iconsdir/locolor/16x16/actions/*.png

%dir %_datadir/apps/khangman/icons/
%dir %_datadir/apps/khangman/icons/crystalsvg/
%dir %_datadir/apps/khangman/icons/crystalsvg/48x48/
%dir %_datadir/apps/khangman/icons/crystalsvg/48x48/actions/
%_datadir/apps/khangman/icons/crystalsvg/48x48/actions/*.png




%_bindir/*


%_datadir/mimelnk/application/*.desktop

%_datadir/applications/kde/*.desktop

%dir %_docdir/HTML/
%dir %_docdir/HTML/en/

%dir %_docdir/HTML/en/khangman/
%doc %_docdir/HTML/en/khangman/common
%doc %_docdir/HTML/en/khangman/*.docbook
%doc %_docdir/HTML/en/khangman/*.bz2
%doc %_docdir/HTML/en/khangman/*.png

%dir %_docdir/HTML/en/klettres/
%doc %_docdir/HTML/en/klettres/common
%doc %_docdir/HTML/en/klettres/*.docbook
%doc %_docdir/HTML/en/klettres/*.bz2
%doc %_docdir/HTML/en/klettres/*.png

%dir %_docdir/HTML/en/kmessedwords/
%doc %_docdir/HTML/en/kmessedwords/common
%doc %_docdir/HTML/en/kmessedwords/*.docbook
%doc %_docdir/HTML/en/kmessedwords/*.bz2
%doc %_docdir/HTML/en/kmessedwords/*.png

%dir %_docdir/HTML/en/kstars/
%doc %_docdir/HTML/en/kstars/common
%doc %_docdir/HTML/en/kstars/*.docbook
%doc %_docdir/HTML/en/kstars/*.bz2
%doc %_docdir/HTML/en/kstars/*.png

%dir %_docdir/HTML/en/ktouch/
%doc %_docdir/HTML/en/ktouch/common
%doc %_docdir/HTML/en/ktouch/*.docbook
%doc %_docdir/HTML/en/ktouch/*.bz2
%doc %_docdir/HTML/en/ktouch/*.png

%dir %_docdir/HTML/en/kvoctrain/
%doc %_docdir/HTML/en/kvoctrain/common
%doc %_docdir/HTML/en/kvoctrain/*.docbook
%doc %_docdir/HTML/en/kvoctrain/*.bz2
%doc %_docdir/HTML/en/kvoctrain/*.png



%dir %_docdir/HTML/en/flashkard
%doc %_docdir/HTML/en/flashkard/common
%doc %_docdir/HTML/en/flashkard/*.png
%doc %_docdir/HTML/en/flashkard/*.bz2
%doc %_docdir/HTML/en/flashkard/*.docbook

%dir %_docdir/HTML/en/kalzium/
%doc %_docdir/HTML/en/kalzium/common
%doc %_docdir/HTML/en/kalzium/*.bz2
%doc %_docdir/HTML/en/kalzium/*.docbook
%doc %_docdir/HTML/en/kalzium/*.png

%dir %_docdir/HTML/en/keduca/
%doc %_docdir/HTML/en/keduca/common
%doc %_docdir/HTML/en/keduca/*.bz2
%doc %_docdir/HTML/en/keduca/*.docbook
%doc %_docdir/HTML/en/keduca/*.png

%dir %_docdir/HTML/en/kiten
%doc %_docdir/HTML/en/kiten/common
%doc %_docdir/HTML/en/kiten/*.bz2
%doc %_docdir/HTML/en/kiten/*.docbook

%dir %_docdir/HTML/en/kmathtool/
%doc %_docdir/HTML/en/kmathtool/common
%doc %_docdir/HTML/en/kmathtool/*.bz2
%doc %_docdir/HTML/en/kmathtool/*.docbook

%dir %_docdir/HTML/en/kmplot/
%doc %_docdir/HTML/en/kmplot/common
%doc %_docdir/HTML/en/kmplot/*.png
%doc %_docdir/HTML/en/kmplot/*.docbook
%doc %_docdir/HTML/en/kmplot/*.bz2

%dir %_docdir/HTML/en/kpercentage
%doc %_docdir/HTML/en/kpercentage/common
%doc %_docdir/HTML/en/kpercentage/*.png
%doc %_docdir/HTML/en/kpercentage/*.docbook
%doc %_docdir/HTML/en/kpercentage/*.bz2

%dir %_docdir/HTML/en/kverbos/
%doc %_docdir/HTML/en/kverbos/common
%doc %_docdir/HTML/en/kverbos/*.png
%doc %_docdir/HTML/en/kverbos/*.bz2
%doc %_docdir/HTML/en/kverbos/*.docbook

%dir %_docdir/HTML/en/kbruch/
%doc %_docdir/HTML/en/kbruch/common
%doc %_docdir/HTML/en/kbruch/*.png
%doc %_docdir/HTML/en/kbruch/*.bz2
%doc %_docdir/HTML/en/kbruch/*.docbook

%dir %_docdir/HTML/en/kig/
%doc %_docdir/HTML/en/kig/common
%doc %_docdir/HTML/en/kig/*.png
%doc %_docdir/HTML/en/kig/*.bz2
%doc %_docdir/HTML/en/kig/*.docbook



%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/*.la
%_libdir/libkdeeducore.so.*
%_libdir/libkdeeduui.so.*
%_libdir/libkdeeduplot.so.*
%_libdir/kde3/libkigpart.so
%_libdir/kde3/libkigpart.la


%files -n %lib_name-devel
%defattr(-,root,root,-)
%_libdir/libkdeeducore.so
%_libdir/libkdeeduplot.so
%_libdir/libkdeeduui.so
%_includedir/*.h



%changelog
* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Clean a little spec file


* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild for new menu translation table

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Remove debug

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Rebuild 

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Use %%configure
- Use mdkversion
- Fix icon for kstars bug#9309

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix install (don't install kdeedu when we want just install libkdeedu-devel)

* Fri Mar 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix Group
- Fix requires

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix kstar indi

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Fix kmplot

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Fix #7962

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS (fix kstars)
- Rebuild with good kdedesktop2mdkmenu.pl

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Fix icons

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distint error

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Sync with CVS

* Fri Jan 23 2004 David Baudens <baudens@mandrakesoft.com> 3.1.95-2mdk
- Fix menu entries

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type
- Sync with CVS

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Fri Dec 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Beta2

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Beta2 from cvs

* Tue Nov 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix categories

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Fix menu
- Fix compile

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to Vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- Beta 1

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Update from CVs

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Update from CVS

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Update from CVS

* Thu Sep 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Sat Sep 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Fix menu
- Add support for mdk9.3
- Debug

* Thu Sep 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Add --libdir=%_libdir 

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix buildrequries

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Update code (fix kstars Atmospheric reflaction)

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix build

* Sun Aug 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Rebuild

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Update code (fix kalzium rc file)

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- __cputoolize
- Fix requires

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Libification

* Wed Jul 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Rebuild
- Fix requires
- Create devel package

* Wed Jun 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch9:	fix kstars mem leak

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch7 : allow to change shortcut in flashkard
- Add patch8 : allow to change shortcut in ktouch

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix from branch khangham
"fix layout bug in main window and in info dialog by adding proper layout
fix Close button that had same Shortcut than Child mode: changed Close to Quit"

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Fix kletter

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code fix kstars bug

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from kde_3_1_branch fix kstars bug

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Remove debug

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix missing file

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Add missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix description + Url "Yura Gusev" <elendal-sub@polygonized.com> thanks

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2
- Add patch6 fix compile

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch5 : fix kstars mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch4 : fix kgeo mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Fix build requires on mdk8.2

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch3 : fix mem leak in keduca

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-3mdk
- Move menu entries in Applications/

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Remove -ffast-math fix kstars crash

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Rebuild against new gcc-3.2
- Disable debuggage

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Readd debug

* Thu May 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- fix menu entry

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Kdeedu3 -> kdeedu

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Obsoletes keduca, kstars, ktouch

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix BuildRequires on 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0 beta1

